/* Global css */

.content-width-sidebar {
  display: flex;
  gap: 24px;
}

.content-width-sidebar .content-wrap {
  flex: 1;
}

.sitemap-list a:hover {
  color: var(--wdtPrimaryColor);
}

.table-banks-btn {
  margin-left: 10px;
}

.ttl {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  gap: 8px;
  margin: 0;
}

.ttl .btn {
  display: inline-flex;
  background: #ff5b2e;
  color: #fff !important;
  text-transform: uppercase;
  font-weight: 600;
  padding: 6px 17px;
  border-radius: 50px;
  font-size: 0.75rem;
  text-decoration: none;
  cursor: pointer;
  white-space: nowrap;
  max-width: 191px;
  margin: 0 0 0 auto;
}

.trusts-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 24px;
  /*margin-top: 30px;*/
  margin-bottom: 60px;
}

.trust-card {
  background: var(--card-bg);
  border-radius: 16px;
  box-shadow: var(--shadow-1);
  overflow: hidden;
  transition:
    transform 0.2s ease,
    box-shadow 0.2s ease;
  display: flex;
  flex-direction: column;
  position: relative;
  isolation: isolate;
}

/* Прапорець */
.trust-flag {
  position: absolute;
  top: 12px;
  left: 12px;
  border-radius: 50%;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
  z-index: 2;
}

/* Прев’ю через <img> */
.trust-card-image {
  aspect-ratio: 16/9;
  background: #f3f3f3;
}
.trust-card-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

/* Тіло картки */
.trust-card-body {
  padding: 16px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 12px;
  background: #f3f1f3;
  height: 100%;
}
.trust-card-title {
  font-size: 1.125rem;
  line-height: 1.3;
  margin: 0;
  color: var(--text-main);
}

/* Кнопка з первинним кольором */
.trastbutton.btn {
  align-self: flex-start;
  padding: 10px 16px;
  border-radius: 100px;
  background: #ff5b2e;
  color: #fff;
  text-decoration: none;
  font-weight: 600;
  border: 1px solid transparent;
  transition:
    background 0.2s ease,
    transform 0.06s ease,
    box-shadow 0.2s ease;
}
.trastbutton.btn:hover {
  background: #e24f27;
}

.trastbutton.btn:focus-visible {
  outline: none;
  box-shadow: none;
  border-color: var(--primary);
}

.google_reviews_block {
  margin-bottom: 30px;
}

.offer-slider .wdt-content-item .wdt-content-counter > *:not(:last-child) {
  margin-right: 5px;
}

.offer-slider .wdt-content-icon-wrapper {
  box-shadow: 0px 0px 20px 0px rgb(0 0 0 / 20%);
}

.offer-slider .wdt-content-item {
  background-color: #fff !important;
}

.about-us-team
  .wdt-content-item
  .wdt-media-image-cover
  .wdt-content-image-wrapper
  .wdt-content-image
  img {
  object-position: top;
}

@media (pointer: fine) {
  .ttl .btn:hover {
    opacity: 0.7;
    text-decoration: none;
  }
}

@media screen and (max-width: 1024px) {
  .trusts-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .content-width-sidebar {
    flex-direction: column;
  }
  /* .table-wrapper {
    width: 100%;
    overflow-x: auto;
  }

  .table-wrapper table {
    min-width: 600px;
    border-collapse: collapse;
  } */
  body #main .container.sidebar-near {
    min-width: 100%;
    width: 100%;
  }
}

@media (max-width: 767px) {
  .ttl {
    flex-direction: column;
  }

  .trusts-grid {
    grid-template-columns: 1fr;
  }

  .table-banks-btn.btn-get-offer {
    background-color: #fff;
    color: #6D4065!important;
    border-color: #6D4065;
  }
}

@media (max-width: 768px) {
  .container table {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    border-collapse: collapse;
  }
	
	.ttl .btn{
		margin: 0 !important;
	}

  .container table thead,
  .container table tbody,
  .container table tr {
    display: table;
    width: max-content;
    min-width: 100%;
  }
  .container table thead {
    font-weight: 600;
    border-radius: 10px;
  }
  .container th,
  .container td {
    width: 150px !important;
    padding: 10px;
    white-space: normal;
    background: #fff;
    border: 1px solid #eee;
    font-size: 14px;
  }
	
	.container .table.table-company-category th:first-child,
 	.container .table.table-company-category td:first-child {
	  	width: 122px !important;
	}
	
	.container .table.table-company-category th:nth-child(2),
 	.container .table.table-company-category td:nth-child(2) {
	  	width: 122px !important;
	}
	
	.container .table.table-company-category th:nth-child(3),
 	.container .table.table-company-category td:nth-child(3) {
	  	width: 122px !important;
	}
	
	.container .table.table-banks th:first-child,
 	.container .table.table-banks td:first-child {
	  	width: 140px !important;
	}
	
	.container .table.table-banks th:nth-child(2),
 	.container .table.table-banks td:nth-child(2) {
	  	width: 96px !important;
	}
	
	.container .table.table-banks th:nth-child(3),
 	.container .table.table-banks td:nth-child(3) {
	  	width: 105px !important;
	}
	.container .table.table-banks th:nth-child(4),
 	.container .table.table-banks td:nth-child(4) {
	  	width: 105px !important;
	}

  .container th:first-child,
  .container td:first-child {
    width: 195px !important;
    position: sticky;
    left: 0;
    z-index: 4;
    background: #f9f9f9;
    background-color: var(--e-global-color-c26118a);
    border: 1px solid rgba(230, 224, 228, 0.6);
    color: #fff;
  }
  .container th:first-child a,
  .container td:first-child a {
    color: #fff;
    font-weight: 600;
  }
  .container thead th:first-child {
    z-index: 3;
  }
  .container table .table-ttl .btn,
  .container table .table-ttl .btn-get-offer {
    background: #ff5b2e;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.4s;
    padding: 6px;
    font-size: 11px;
    font-weight: 400;
  }
  body #main .container {
    width: 100%;
    min-width: 100%;
    display: flex;
    flex-direction: column;
  }
}
